Debian Bug report logs - #728341
ITP: libenum-perl -- perl module for sets of ordered constants like enums in C

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Wed, 30 Oct 2013 21:51:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libenum-perl/1.05-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#728341; Package wnpp. (Wed, 30 Oct 2013 21:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Wed, 30 Oct 2013 21:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libenum-perl -- perl module for sets of ordered constants like enums in C
Date: Wed, 30 Oct 2013 22:48:03 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libenum-perl
  Version         : 1.05
  Upstream Author : Neil Bowers <neil@bowers.com>
* URL             : https://metacpan.org/release/enum
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : perl module for sets of ordered constants like enums in C

The enum module defines a set of symbolic constants with ordered numeric
values ala C enum types.

It is now capable of creating ordered bitmask constants as well. See the
BITMASKS section in the documentation for details.

What are they good for? Typical uses would be for giving mnemonic names to
indexes of arrays. Such arrays might be a list of months, days, or a return
value index from a function such as localtime().



Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 21:57:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 23 Nov 2013 16:03:32 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 16:03:32 GMT) Full text and rfc822 format available.

Message #12 received at 728341-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 728341-close@bugs.debian.org
Subject: Bug#728341: fixed in libenum-perl 1.05-1
Date: Sat, 23 Nov 2013 16:00:06 +0000
Source: libenum-perl
Source-Version: 1.05-1

We believe that the bug you reported is fixed in the latest version of
libenum-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libenum-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 30 Oct 2013 22:54:01 +0100
Source: libenum-perl
Binary: libenum-perl
Architecture: source all
Version: 1.05-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libenum-perl - perl module for sets of ordered constants like enums in C
Closes: 728341
Changes: 
 libenum-perl (1.05-1) unstable; urgency=low
 .
   * Initial release (closes: #728341).
Checksums-Sha1: 
 82a21396f079c758faa2b2a963b08b8b435a351e 1983 libenum-perl_1.05-1.dsc
 bf3528ab8103c61ef447a65a809c480e4ca78ef1 7084 libenum-perl_1.05.orig.tar.gz
 49390d1baddcd6e3cec0225d7fb901c0b985518b 1502 libenum-perl_1.05-1.debian.tar.gz
 b66e0118faaaba9bf9dd4b815d2c936071f9984d 11308 libenum-perl_1.05-1_all.deb
Checksums-Sha256: 
 cea3ae9df671c761dab0cdc4a9e1156ecb997c6eddcd00270633f1391fabfdf7 1983 libenum-perl_1.05-1.dsc
 39347e7292254cbd43928b1730305cee803cbc6d5e9ba379a9c05d582800d1cb 7084 libenum-perl_1.05.orig.tar.gz
 da7c7707773f21521a1940aecc4869bd4b46a6bcbc4c879cd76a4fa16ae5abaf 1502 libenum-perl_1.05-1.debian.tar.gz
 fc4f0dabdd340f1129f2c9d88e2cccfcd5ae405f9b0dcba1153e6e1b90e71f26 11308 libenum-perl_1.05-1_all.deb
Files: 
 e99f056acf2914f1be0b88c0b79cf0ae 1983 perl optional libenum-perl_1.05-1.dsc
 575042d9a329ef3311a6dd01773a8911 7084 perl optional libenum-perl_1.05.orig.tar.gz
 14ee875baf2c09cb05004d328762ff1b 1502 perl optional libenum-perl_1.05-1.debian.tar.gz
 7bf13d3dbcd6d81f3a1d03d50fec4592 11308 perl optional libenum-perl_1.05-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJScYAJAAoJELs6aAGGSaoGZPgP/2/k+pPHf/E7QAtXw6VUEHr6
9s0JeeuDS446UyCYrwTTuKyAexTr+OMZFGOAgc1hboQ7L6T/ymtfflvfNuSV7i5v
rGu6PcBGbc1ldCJ1lNCWEKMxNyVUTFdW0CBj/CV+hl6X1NihiK/pQMis0gMHxdXF
8EGk0yYC6Qr1dVdWPzaoWSTsbFCNSK1h+307FpFCsTctST1fKMmRvO/Qal4y65WA
waRhiAF3ZvHcFMT/xuQzlNBHgwQ53jbNfDFWH+8MhK6Eda62jv6aWZ/3a2Prqfbm
j0eP9Zvpz4VldGvQyo9+m/xQ88hXhhl+ReYs6YBkQkb781jhDJzoL2gc9CjClELt
iOuLPJRMgo9q1DjFQ/W+S+s7BUDHdFBy9mKdIiGCHu7RA0UfdYsj93gvl9I/FDuV
v0feV5bfEnE5hiDo74Z+pyLuHF7z2+tcR7roz+ADCESfSJmbr0NOCADP+gOYONq4
89XSH1CcN37LWQ0Rs9f5fuIj6QjTZ8vSzOb1GVx9/RYWrx10l4gVs+7RWOo43SYD
L7C+xYu1A9RY7R4zeK1rlZgNY2C+0KwCW0RjTBYNZi34CD/c7hxKS7tSJwnXl0xK
Z6xP8cNX9sqPJEj3d79J/hzsMppXXJHcWGznfU4a+fqdzziGLXu73fa9UtujhCEC
/fCrbeKobpDnJ3mvUN0Q
=+5xA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:27:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:34:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.